Bug 1415037 - systemd: local-fs.target: Cannot add dependency job, ignoring: Unit home.mount is masked.
Summary: systemd: local-fs.target: Cannot add dependency job, ignoring: Unit home.moun...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 03:20 UTC by RobbieTheK
Modified: 2017-12-12 10:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:50:19 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1278264 0 unspecified CLOSED Masked tmp.mount creates journal message every 10 minutes on Fedora Cloud image 2021-02-22 00:41:40 UTC

Description RobbieTheK 2017-01-20 03:20:37 UTC
Description of problem:
Not sure if it's related but rsnapshot/rsync seems to hang when this error appears.
 
Version-Release number of selected component (if applicable):
kernel is 4.9.3-200.fc25.i686+PAE
rpm -q systemd
systemd-231-12.fc25.i686

How reproducible:
Happens a couple times an hour

Steps to Reproduce:
1. not sure

Additional info:
I'm seeing this on F25,
Jan 19 20:06:00 curie systemd-logind: Removed session 156.
Jan 19 20:14:56 curie systemd: Failed to set up mount unit: Device or resource busy
Jan 19 21:10:18 curie systemd: local-fs.target: Cannot add dependency job, ignoring: Unit home.mount is masked.
Jan 19 21:11:14 curie systemd: local-fs.target: Cannot add dependency job, ignoring: Unit -.mount is masked.

cat /usr/lib/systemd/system/local-fs.target.wants/tmp.mount
[Unit]
Description=Temporary Directory
Documentation=man:hier(7)
Documentation=http://www.freedesktop.org/wiki/Software/systemd/APIFileSystems
ConditionPathIsSymbolicLink=!/tmp
DefaultDependencies=no
Conflicts=umount.target
Before=local-fs.target umount.target
After=swap.target
[Mount]
What=tmpfs
Where=/tmp
Type=tmpfs
Options=mode=1777,strictatime,nosed,nodev


/etc/fstab has this:
/dev/mapper/vg_curie-lv_root /                       ext4    defaults        1 1
UUID=e3507fa1-f9ee-4951-8ecc-48f16183dee9 /boot                   ext4    defaults        1 2
/dev/mapper/vg_curie-lv_home /home                   ext4    defaults        1 2
/dev/mapper/vg_curie-lv_swap swap                    swap    defaults        0 0

Comment 1 Fedora End Of Life 2017-11-16 19:04:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:50:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.